Package rdkit :: Package VLib :: Package NodeLib :: Module demo

[hide private]
[frames] | no frames]

# Module demo

source code

Variables | [hide private]

| smis = `['CCOC', 'CCO.Cl', 'CC(=O)[O-].[Na+]', 'CC[Cu]CC', 'OCC`...``
| mols = `[Chem.MolFromSmiles(x) for x in smis]`
| supplier = `Supply.SupplyNode(contents= mols)`
| metals = `'[#21,#22,#23,#24,#25,#26,#27,#28,#29,#39,#40,#41,#42`...``
| smaFilter = `SmartsMolFilter.SmartsFilter(patterns= [metals], c`...``
| salts = `['[Cl;H1&X1,-]', '[Na+]', '[O;H2,H1&-,X0&-2]']`
| remover = `SmartsRemover.SmartsRemover(patterns= salts)`
| atsFilter = `Filter.FilterNode(func= lambda x: x.GetNumAtoms() `...``
| dupeFilter = `SmilesDupeFilter.DupeFilter()`
| io = `StringIO.StringIO()`
| output = `SmilesOutput.OutputNode(dest= io, delim= ', ', idFiel`...``

Imports: RDConfig, Chem, os, Supply, Filter, StringIO

Variables Details | [hide private]

### smis

Value:

      ['CCOC', 'CCO.Cl', 'CC(=O)[O-].[Na+]', 'CC[Cu]CC', 'OCC', 'C[N+](C)(C)
      C.[Cl-]', '[Na+].[Cl-]']

### metals

Value:

      '[#21,#22,#23,#24,#25,#26,#27,#28,#29,#39,#40,#41,#42,#43,#44,#45,#46,
      #47,#57,#58,#59,#60,#61,#62,#63,#64,#65,#66,#67,#68,#69,#70,#71,#72,#7
      3,#74,#75,#76,#77,#78,#79]'

### smaFilter

Value:

      SmartsMolFilter.SmartsFilter(patterns= [metals], counts= [1])

### atsFilter

Value:

      Filter.FilterNode(func= lambda x: x.GetNumAtoms() > 1)

### output

Value:

      SmilesOutput.OutputNode(dest= io, delim= ', ', idField= 'Name')